Xapian: API Documentation: Xapian::Stopper Class Reference

xapian-core 1.4.31

Public Member Functions | List of all members
Xapian::Stopper Class Referenceabstract

Abstract base class for stop-word decision functor. More...

`#include <queryparser.h>`

Inheritance diagram for Xapian::Stopper:
[legend]

## Public Member Functions
| Stopper ()
| Default constructor.
virtual bool | operator() (const std::string &term) const =0
| Is term a stop-word?
virtual | ~Stopper ()
| Class has virtual methods, so provide a virtual destructor.
virtual std::string | get_description () const
| Return a string describing this object.
Stopper * | release ()
| Start reference counting this object.
const Stopper * | release () const
| Start reference counting this object.

## Detailed Description

Abstract base class for stop-word decision functor.

If you just want to use an existing stopword list, see Xapian::SimpleStopper.

## Member Function Documentation

## ◆ get_description()

virtual std::string Xapian::Stopper::get_description | ( |  | ) | const
| virtual

Return a string describing this object.

Reimplemented in Xapian::SimpleStopper.

## ◆ operator()()

virtual bool Xapian::Stopper::operator() | ( | const std::string & | term | ) | const
| pure virtual

Is term a stop-word?

Parameters

  term | The term to test.

Implemented in Xapian::SimpleStopper.

## ◆ release() [1/2]

Stopper * Xapian::Stopper::release | ( |  | ) |
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated Stopper object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

## ◆ release() [2/2]

const Stopper * Xapian::Stopper::release | ( |  | ) | const
| inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated Stopper object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

The documentation for this class was generated from the following file:

- xapian/queryparser.h